//+------------------------------------------------------------------+
//|                                                    JulyHedge.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link "http://www.metaquotes.net"

extern int Slippage=5;
extern int MagicNumber_1=1000;
extern int MagicNumber_2=2000;

double dXPoint=1;
//+------------------------------------------------------------------+
//| expert initialization function |
//+------------------------------------------------------------------+
int init()
{
if(Digits==3 || Digits==5)
{
dXPoint=10;
}

if(Digits==3 || Digits==5)
{
dXPoint=10;
int SLIPPAGE=SLIPPAGE*dXPoint;
}
return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function |
//+------------------------------------------------------------------+
int deinit()
{
return(0);
}
//+------------------------------------------------------------------+
//| expert start function |
//+------------------------------------------------------------------+
int start()
{
   int eurusdCount1 = countOpenedOrders(MagicNumber_1,"EURUSD");
   int usdchfCount1 = countOpenedOrders(MagicNumber_1,"USDCHF");
   int eurusdCount2 = countOpenedOrders(MagicNumber_2,"EURUSD");
   int usdchfCount2 = countOpenedOrders(MagicNumber_2,"USDCHF");
   

   if (iMA(NULL,0,13,8,MODE_SMMA,PRICE_MEDIAN,0)<iMA(NULL,0,20,8,MODE_SMMA,PRICE_MEDIAN,0))
   {
      RefreshRates();
      if (eurusdCount1==0) OrderSend("EURUSD",OP_BUY,1,MarketInfo("EURUSD",MODE_ASK),2,NULL,NULL,"Magic Number 1000",MagicNumber_1,0,CLR_NONE);
      if (usdchfCount1==0) OrderSend("USDCHF",OP_BUY,1,MarketInfo("USDCHF",MODE_ASK),2,NULL,NULL,"Magic Number 1000",MagicNumber_1,0,CLR_NONE);
   }
   if(iMA(NULL,0,13,8,MODE_SMMA,PRICE_MEDIAN,0)>iMA(NULL,0,20,8,MODE_SMMA,PRICE_MEDIAN,0))
   {
      RefreshRates();
      if (eurusdCount2==0) OrderSend("EURUSD",OP_SELL,1,MarketInfo("EURUSD",MODE_BID),2,NULL,NULL,"Magic Number 2000",MagicNumber_2,0,CLR_NONE);
      if (usdchfCount2==0) OrderSend("USDCHF",OP_SELL,1,MarketInfo("USDCHF",MODE_BID),2,NULL,NULL,"Magic Number 2000",MagicNumber_2,0,CLR_NONE);
   }
   return(0);
}

//
//
//
//
//

int countOpenedOrders(int magicNumber, string symbol)
{
   int openedOrders=0;   
   for(int i=0; i < OrdersTotal(); i++)
   {
      if(OrderSelect(i, SELECT_BY_POS, MODE_TRADES) == false) break;
      if(OrderMagicNumber() != magicNumber) continue;
      if(OrderSymbol()      != symbol)      continue;
                  
      //
      //
      //
      //
      //
                  
      if(OrderType() == OP_BUY || OrderType() == OP_SELL) openedOrders++;
   }      
   return(openedOrders);
}